> For the complete documentation index, see [llms.txt](https://docs.fibricheck.com/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fibricheck.com/introduction/changelog-1.md).

# Changelog

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

{% tabs %}
{% tab title="Flutter" %}

## v 2.0.0

### Breaking Changes

* The event method `onMeasurementProcessed` takes now a `Map<String, dynamic>` instead of a `String`.

### Fixes

* Activity casting in the Java native-side.
* Flutter-NativeSide bridge closing causing a `nullPointerException`.
* Missing field `measurement_timestamp` on the IOS platform.
* flashlight issues.
  {% endtab %}

{% tab title="React Native" %}

## v 1.2.0

### Added

* Improvements to flag an error when no ACC data is received. This can occur when the acc sensor is in a broken state on an iOS device. This can be fixed by rebooting the device.&#x20;

## v 1.1.2

### Fixed

* Improved finger detection on iOS devices

### Security

* plist & minimist version bump&#x20;

## v 1.1.0

### Added

* Properties added to measurement data:
  * attempts
  * skippedMovementDetection
  * skippedFingerDetection
  * skippedPulseDetection

### Fixed

* technical\_details not passed correctly on Android
* Not all passed properties were updated on Android

## v 1.0.6

### Fixed

* Not all passed properties were updated on iOS
* Improved movement detection on iOS
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fibricheck.com/introduction/changelog-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
